### Hierarchy

- DownloadCsvService

## Index

### Properties

- download_
- encoding_
- extension_
- gettextCatalog_
- includeHeader_
- quote_
- separator_

### Methods

- generateCsv
- getRow_
- startDownload

## Properties

### download_

download_: Download

- Defined in src/download/Csv.js:103

Download service.

### encoding_

encoding_: string

- Defined in src/download/Csv.js:68

File encoding of the CSV file.

### extension_

extension_: string

- Defined in src/download/Csv.js:75

File extension of the CSV file.

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/download/Csv.js:61

### includeHeader_

includeHeader_: boolean

- Defined in src/download/Csv.js:82

Whether to include the header in the exported file or not.

### quote_

quote_: string

- Defined in src/download/Csv.js:89

Quote character.

### separator_

separator_: string

- Defined in src/download/Csv.js:96

Separator character.

## Methods

### generateCsv

- generateCsv(data: Object[], columnDefs: GridColumnDef[]): string

- - Defined in src/download/Csv.js:113

  Generate a CSV.

  #### Parameters

  - ##### data: Object[]

    Entries/objects to include in the CSV.

  - ##### columnDefs: GridColumnDef[]

    Column definitions.

  #### Returns string

  The CSV file as string.

### getRow_

- getRow_(values: any[]): string

- - Defined in src/download/Csv.js:137

  #### Parameters

  - ##### values: any[]

    Values.

  #### Returns string

  CSV row.

### startDownload

- startDownload(data: Object[], columnDefs: GridColumnDef[], fileName: string): void

- - Defined in src/download/Csv.js:161

  Generate a CSV and start a download with the generated file.

  #### Parameters

  - ##### data: Object[]

    Entries/objects to include in the CSV.

  - ##### columnDefs: GridColumnDef[]

    Column definitions.

  - ##### fileName: string

    The CSV file name, without the extension.

  #### Returns void

Generated using TypeDoc